apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: mastodon-t2m

replicas:
  - name: birdsite
    count: 1
  - name: social-sidecar
    count: 1

resources:
  - ../../base
  - routes
  - monitoring/twitter
  - ../../base/component/automatic-restart

components:
  - database
  - ../../base/component/namespace
  - ../../../.base/components/monitoring/add-prometheus-v1-labels

patches:
  - path: birdsite/social-sidecar.database-location.yaml

images:
  - name: birdsite
    newName: registry.gitlab.com/davinkevin.fr/projects/dotmakeup/bird.makeup
    newTag: 2024.05.24
  - name: social-sidecar
    newName: registry.gitlab.com/davinkevin.fr/projects/dotmakeup/social-sidecar
    newTag: 2024.05.24
  - name: kubectl
    newName: bitnami/kubectl
    newTag: "1.32"

configMapGenerator:
  - name: database
    behavior: merge
    literals:
      - host=database-v17-rw
      - name=birdsite
      - type=postgres
  - name: birdsite
    behavior: merge
    literals:
      - adminemail=davin.kevin+birdsite@gmail.com
      - domain=t2m.davinkevin.fr
      - followerAllowlist=@davinkevin@fosstodon.org;mastodon.davinkevin.fr
      - instanceName="Davin Kevin's birdsite"

secretGenerator:
  - name: database-backup-to-s3
    envs:
      - database/s3-backup-credentials.env

configurations:
  - ../../../.base/components/cnpg/namereference.yaml
